Another broken display of subtasks on parent issues
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.0.3

Description

We currently have a task with around 90+ sub tasks on our hosted redmine server.

The task and all of the subtasks are attached.
The problem started when we recently added two tasks to the existing tree, 7062 and 7063.

Both of these tasks are already created, and have their parent tasks set afterward.

After adding both 7062 and 7063 to the parent 6512, we got the lower portion of the list (below task 6515) cut off and some tasks are

missing from the list:
Also if we open the task 6515, we can see this parent tree structure:
We have checked that all all the tasks have the correct parent task assigned.

We did a further investigation into the database table and found these facts:

Before adding 7062 and 7063 to parent task 6512:

Task # lft rgt

6496 1 180

6512 106 111

6515 130 179

7062 1 2

7063 1 2

After adding 7062 and 7063 to parent 6512:

Task # lft rgt

6496 1 114

6512 106 115

6515 134 113

7062 111 112

7063 113 114

To fix the problem, we had to manually changed the rgt values to:

Task # lft rgt

6496 1 184
6512 106 115

6515 134 183

7062 111 112

7063 113 114

Seems when setting parent task of 7062 and 7063 to 6512, the wrong values of rgt are updated to 6496 and 6515.

We can reproduce this problem again by removing parent task of 7062 and 7063 and assigned them back 6512.

We think the problem is similar to #11011

The redmine version that we are using is:
Related issues:

Related to Redmine - Defect #6579: Tree hierachy being currupted on multiple ... Closed 2010-10-05

History

#1 - 2013-12-05 16:11 - Toshi MARUYAMA

- Category set to Issues

#2 - 2013-12-05 16:11 - Toshi MARUYAMA

- Description updated

#3 - 2013-12-05 16:14 - Toshi MARUYAMA

- Affected version (unused) set to 2.0.3

- Affected version set to 2.0.3

#4 - 2015-01-30 17:02 - Toshi MARUYAMA

- Related to Defect #6579: Tree hierachy being currupted on multiple submissions of an issue added

#5 - 2015-02-19 19:05 - Toshi MARUYAMA

- Status changed from New to Closed

We dropped awesome_nested_set gem (#18860) in Redmine 3.0.0.

Files

2013_11_25_13_45_41_Group_6496.jpg 25.6 KB 2013-12-03 Farindra Tamin

2013_11_25_13_47_10_Group_6515.jpg 19.2 KB 2013-12-03 Farindra Tamin

2013_11_25_13_57_19_Information.jpg 24.3 KB 2013-12-03 Farindra Tamin

2013_11_25_13_09_05_Group_6496.jpg 50.3 KB 2013-12-03 Farindra Tamin

2013_11_25_13_09_40_Group_6496.jpg 54.2 KB 2013-12-03 Farindra Tamin

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/11011
https://www.redmine.org/issues/18860
https://www.redmine.org/versions/80
http://www.tcpdf.org

